#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	file
Version		:	5.44
Release		:	14.8.0.0%{?dist}
Summary		:	A utility for determining file types
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://www.darwinsys.com/file
			#ftp://ftp.astron.com/pub/file/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	libtool

Requires	:	%{name}-libs	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%package		devel
Summary		:	Libraries and header files for file development

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The file-devel package contains the header files and
libmagic library necessary for developing programs
using libmagic

#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root,-)
%{_includedir}/magic.h
%{_libdir}/libmagic.so
%{_libdir}/pkgconfig/libmagic.pc
%{_mandir}/man3/libmagic.3.gz

#=============================================================================
%package		libs
Summary		:	Libraries for applications using libmagic

#-----------------------------------------------------------------------------
%description		libs
Libraries for applications using libmagic.

#-----------------------------------------------------------------------------
%files			libs
%defattr(-, root,root,-)
%doc ChangeLog
%license COPYING
%{_libdir}/libmagic.so.*
%{_datadir}/misc/magic*
%{_mandir}/man4/magic.4.gz

#=============================================================================
%prep
%setup -q
#patch0	-p1

#-----------------------------------------------------------------------------
#building application
%build
autoreconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

cat magic/Magdir/* > 					\
	%{buildroot}%{_datadir}/misc/magic

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
